# BaseProjection Class Reference
[Object projections for use in Criteria queries]

Inheritance diagram for BaseProjection:
[legend]

List of all members.

## Public Member Functions

| __construct ($propertyName=null, $alias=null)
| getAlias ()

## Protected Attributes

| $property = null
| $alias = null

## Detailed Description

Definition at line 15 of file BaseProjection.class.php.

## Constructor & Destructor Documentation

BaseProjection::__construct | ( | $ | propertyName = `null`,
|  | $ | alias = `null` |
| ) |  |  |

Definition at line 20 of file BaseProjection.class.php.

References $alias.

## Member Function Documentation

BaseProjection::getAlias | ( |  | ) |

Implements Aliased.

Definition at line 26 of file BaseProjection.class.php.

## Member Data Documentation

BaseProjection::$alias = null`[protected]`

Definition at line 18 of file BaseProjection.class.php.

Referenced by __construct().

BaseProjection::$property = null`[protected]`

Definition at line 17 of file BaseProjection.class.php.

The documentation for this class was generated from the following file:

- main/Criteria/Projections/BaseProjection.class.php